From f89ab2268d3657e3fb049359cccfad14f7c404fa Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Jul 21 2016 21:03:21 +0000
Subject: [PATCH 567/1001] added hub deletion and source tests


---

diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 49ab3d7..2eafd21 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -334,5 +334,22 @@ class HubsAPITest(hubs.tests.APPTest):
             result = self.app.get(url)
             self.assertEqual(result.status_code, 400)
 
+    def test_hub_delete(self):
+        user = tests.FakeAuthorization('ralph')
+        with tests.auth_set(app, user):
+            url = '/ralph/31/delete'  # 31 is widget feed for ralph
+            result = self.app.post(url)
+            self.assertEqual(result.status_code, 302)
+            self.assertTrue('/ralph/edit' in result.data)
+
+    def test_source_name(self):
+        with tests.auth_set(app, None):
+            url = '/source/about'
+            result = self.app.get(url)
+            self.assertEqual(result.status_code, 302)
+            expected_str = 'https://pagure.io/fedora-hubs/' \
+                           'blob/develop/f/hubs/widgets/about.py'
+            self.assertTrue(expected_str in result.data)
+
 if __name__ == '__main__':
     unittest.main()

